import React, { useState } from 'react'
import styled from 'styled-components'
import { Tree, Tabs } from 'antd'
const { DirectoryTree } = Tree
const { TabPane } = Tabs

const DatasourceWrapper = styled.div`
  display: flex;
  width: 100%;
  height: 700px;
  .datasource__tree {
    width: 30%;
    overflow: scroll;
    background: #f3f3f3;
    margin-top: 40px;
    padding-top: 20px;
  }
  .datasource__table {
    flex: 1;
    height: 100%;
    margin-left: 15px;
    overflow: scroll;
  }
`

const treeData = [
  {
    title: 'node1',
    key: '1',
    isLeaf: true,
  },
  {
    title: 'node2',
    key: '2',
    isLeaf: true,
  },
  {
    title: 'node3',
    key: '3',
    isLeaf: true,
  },
  {
    title: 'node4',
    key: '4',
    isLeaf: true,
  },
]

const DatasourceData = () => {
  const onSelect = selectedKeys => {
    console.log('selected', selectedKeys)
  }

  const onChange = key => {
    console.log('key', key)
  }

  const tree = (
    <DirectoryTree
      className="datasource__tree"
      treeData={treeData}
      onSelect={onSelect}
    />
  )

  return (
    <DatasourceWrapper>
      {tree}
      <Tabs onChange={onChange} className="datasource__table" size={'small'}>
        <TabPane tab="预览表内容" key="1">
          Content of Tab Pane 1
        </TabPane>
        <TabPane tab="预览表结构" key="2">
          Content of Tab Pane 2
        </TabPane>
      </Tabs>
    </DatasourceWrapper>
  )
}

export default DatasourceData
