import { Tabs, Button } from 'antd'
import DataSourceManage from '../component/DatasourceManage.jsx'
import DatasourceAdd from '../component/DatasourceAdd'
import DatasourceSyncView from '../component/DatasourceSyncView'
import React, { useState } from 'react'
const { TabPane } = Tabs

export default function DatasourceView() {
  // 数据源管理ref
  const sourceRef = React.createRef()
  // 更新数据源列表
  const updateDataSource = () => {
    sourceRef.current.updateSourceList()
  }
  // 当前所处页面
  const [currentKey, setCurrentKey] = useState('1')
  // Tab标签右边按钮
  const tabExtraBtn = () => {
    switch (currentKey) {
      case '1':
        return <DatasourceAdd updateDataSource={updateDataSource}/>
      case '2':
        return <Button type='primary'>添加同步任务</Button>
      default:
        return <></>
    }
  }
  // const syncAddBtn = <Button></Button>
  return (
    <>
      {/* Tab栏及内容 */}
      <Tabs type="card" tabBarExtraContent={tabExtraBtn()} onChange={key => setCurrentKey(key)}>
        <TabPane tab="数据源管理" key="1">
          <DataSourceManage onRef={sourceRef} />
        </TabPane>
        <TabPane tab="同步配置" key="2">
          <DatasourceSyncView />
        </TabPane>
        <TabPane tab="日志管理" key="3">
          Content of Tab Pane 3
        </TabPane>
      </Tabs>
    </>
  )
}